import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 账号绑定服务对象基类
 *
 * @export
 * @class SysUserAuthServiceBase
 * @extends {EntityServie}
 */
export default class SysUserAuthServiceBase extends EntityService {

    /**
     * Creates an instance of  SysUserAuthServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  SysUserAuthServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof SysUserAuthServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='sysuserauth';
        this.APPDEKEY = 'id';
        this.APPDENAME = 'sysuserauths';
        this.APPDETEXT = '';
        this.APPNAME = 'web';
        this.SYSTEMNAME = 'ibzuaa';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SysUserAuthServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
            let res:any = Http.getInstance().get(`/sysuserauths/${context.sysuserauth}/select`,isloading);
            
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof SysUserAuthServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
    }
}